import React from 'react';
import { history } from 'umi';
import styles from './index.less';

export default function (props: any) {
  const logined = !!props.user;
  const goLogin = () => {
    if (logined) {
      return;
    }
    history.push(`/login?cb=${encodeURIComponent(location.pathname)}`);
  };
  return (
    <div className={styles.userCard}>
      <div className={styles.wrapper}>
        <div className={styles.avatar}>
          {logined && props.user.userAvatar ? (
            <img
              src={props.user.userAvatar}
              width={40}
              height={40}
              style={{ borderRadius: 40 }}
            />
          ) : null}
        </div>
        <div className={styles.info} onClick={goLogin}>
          <div className={styles.name}>
            {logined ? props.user.userName : '登录'}
          </div>
          <div className={styles.tips}>
            {logined ? `ID:${props.user.userNo}` : '请先登录要购买的ID'}
          </div>
        </div>
      </div>
    </div>
  );
}
