import * as React from 'react';
import {
  unstable_Result as Result,
  unstable_Toast as Toast,
} from '@ant-design/mobile';
import { AlipayCircleFill } from '@ant-design/mobile-icons';
import { getQueryString } from '@/utils/url';
export default () => {
  const amount = getQueryString('total_amount');
  const orderId = getQueryString('out_trade_no');
  return (
    <>
      <Result
        img={<AlipayCircleFill color="#1677ff" size="lg" />}
        title="充值成功"
        message={`您已成功充值${amount}元，充值单号${orderId}，如有问题请截图联系客服`}
        buttons={[
          {
            type: 'primary',
            children: '继续充值',
            onPress: () => location.replace('/recharge'),
          },
          {
            children: '联系客服',
            onPress: () =>
              Toast.show({
                content: '请添加客服微信 timiyuyin04',
              }),
          },
        ]}
      />
    </>
  );
};

// http://pay.timichat.com/recharge/callback/alipay?charset=UTF-8&out_trade_no=414145199472644&method=alipay.trade.wap.pay.return&total_amount=30.00&sign=EpPaNgOdABXCQv9LmfRK5XLVQ%2BQlgJxW9P904t3RI5aPJqZr4FQJim%2Bc6X7lk6YlnC5WtzWMLOJuYkakFCaFE7pfEHpqAlOFgcvmLhWLrcNEPQZ4VOa6L5YhqCo12RB6vXxwtbb0zUFuJ8IMruMtVsKRolzlGPUQN33dym5s6QHyPiiVPQusua%2FhtASMZkv2p6Bszj9NML%2FAio4tZ60mdhGmFdSrZmww4VDpAmb2Xw7CqZ2wYqEX3AK71%2BrU2cd4OoWa0n5dBhJ70ePWGWt%2FjFiGhtBeATdROa7Ud97fAwliILInEewt%2BX%2FxiMJ%2BVnNd2Lg63Fr0qFlHsL0OnQzygQ%3D%3D&trade_no=2021062422001447931433291819&auth_app_id=2021002111625373&version=1.0&app_id=2021002111625373&sign_type=RSA2&seller_id=2088041060878204&timestamp=2021-06-24+09%3A52%3A50
